{% extends '@App/base.html.twig' %}

{% block body %}
    <table class="table" tabindex="0">
        <thead>
        <tr>
            <th>Name</th>
            <th>Version</th>
            <th>Description</th>
            <th>Owner</th>
            <th>Company</th>
            <th>Actions</th>
        </tr>
        </thead>
        <tbody>
        {% for template in templates %}
            <tr>
                <td>{{ template.name }}</td>
                <td>{{ template.version }}</td>
                <td>{{ template.shortDescription }}</td>
                <td>{{ template.owner.username }}</td>
                <td>{{ template.company? template.company.name : '-' }}</td>
                <td>
                    <a class="btn" href="{{ path('template_company_edit', {templateId: template.id}) }}">Link with a company</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="2">Il n'y a pas de sociétés</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}